> ## Documentation Index
> Fetch the complete documentation index at: https://voora.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit an event payload for fraud screening



## OpenAPI

````yaml /api-reference/openapi.json post /create
openapi: 3.0.4
info:
  title: Merchant Portal SendEvent API
  description: Endpoints for sending and querying event data.
  version: v1
servers:
  - url: https://live.voora.ai/event
security:
  - ClientApiKey: []
tags:
  - name: Event
paths:
  /create:
    post:
      tags:
        - Event
      summary: Submit an event payload for fraud screening
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/EventRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/EventRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '504':
          description: Gateway Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    EventRequest:
      type: object
      properties:
        id:
          type: string
          nullable: true
        eventType:
          type: string
          nullable: true
        eventAmount:
          type: number
          format: double
          nullable: true
        eventCurrency:
          type: string
          nullable: true
        cardHolder:
          type: string
          nullable: true
        cardBin:
          type: string
          nullable: true
        cardHash:
          type: string
          nullable: true
        cardLast:
          type: string
          nullable: true
        cardExpiry:
          type: string
          nullable: true
        userIp:
          type: string
          nullable: true
        userEmail:
          type: string
          nullable: true
        userPhoneNumber:
          type: string
          nullable: true
        userFullName:
          type: string
          nullable: true
        userFirstName:
          type: string
          nullable: true
        userLastName:
          type: string
          nullable: true
        userDob:
          type: string
          nullable: true
        userPob:
          type: string
          nullable: true
        userId:
          type: string
          nullable: true
        userName:
          type: string
          nullable: true
        userCreated:
          type: string
          nullable: true
        userCountry:
          type: string
          nullable: true
        userCity:
          type: string
          nullable: true
        userRegion:
          type: string
          nullable: true
        userZip:
          type: string
          nullable: true
        userStreet1:
          type: string
          nullable: true
        userStreet2:
          type: string
          nullable: true
        shippingCountry:
          type: string
          nullable: true
        shippingCity:
          type: string
          nullable: true
        shippingRegion:
          type: string
          nullable: true
        shippingZip:
          type: string
          nullable: true
        shippingStreet1:
          type: string
          nullable: true
        shippingStreet2:
          type: string
          nullable: true
        shippingPhone:
          type: string
          nullable: true
        shippingFullName:
          type: string
          nullable: true
        billingCountry:
          type: string
          nullable: true
        billingCity:
          type: string
          nullable: true
        billingRegion:
          type: string
          nullable: true
        billingZip:
          type: string
          nullable: true
        billingStreet1:
          type: string
          nullable: true
        billingStreet2:
          type: string
          nullable: true
        billingPhone:
          type: string
          nullable: true
        eventDate:
          type: string
          nullable: true
        browserUserAgent:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/EventItem'
          nullable: true
      additionalProperties: false
    EventResponse:
      type: object
      properties:
        id:
          type: string
          description: Id provided by customer
          nullable: true
        eventId:
          type: string
          description: A unique identifier generated by StrongHold api
          nullable: true
        actionType:
          type: string
          description: |-
            Event state, which indicates the further action.
            State can be either APPROVE, REVIEW or DECLINE
          nullable: true
        totalRiskScore:
          type: integer
          description: >-
            A score from 0-100 indicating the likelihood that a event is
            fraudulent.
          format: int32
        appliedRulesDetails:
          type: array
          items:
            $ref: '#/components/schemas/RuleDetails'
          nullable: true
        denylistMatches:
          type: array
          items:
            type: string
          nullable: true
        allowlistMatches:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        requestId:
          type: string
          nullable: true
        errorType:
          type: string
          nullable: true
        errorCodes:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    EventItem:
      type: object
      properties:
        itemId:
          type: string
          nullable: true
        itemName:
          type: string
          nullable: true
        itemQuantity:
          type: integer
          format: int32
        itemPrice:
          type: number
          format: double
          nullable: true
        itemCategory:
          type: string
          nullable: true
        itemSeller:
          type: string
          nullable: true
        itemSellerCountry:
          type: string
          nullable: true
      additionalProperties: false
    RuleDetails:
      type: object
      properties:
        ruleId:
          type: string
          nullable: true
        score:
          type: integer
          format: int32
        ruleName:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ClientApiKey:
      type: apiKey
      description: 'API key required in header: X-CLIENT-API-KEY'
      name: X-CLIENT-API-KEY
      in: header

````